# WS2812B light signal - CPU Board

Board to run [colorchord2](https://github.com/cnlohr/colorchord) on a string of WS2812B LEDs with live line-in audio.

## Errata (Rev 01)

* Opamp inverting / non-inverting inputs are swapped
	* Workaround: Lift pads 2 and 3, and 5 and 6, and connect them crossed using magnet wire.
* Opamp is not rail-to-rail and does not allow to use the ADC in full range
	* Workaround: Only use limited range -640 to 520.
* LED footprint is wrong.
	* Workaround: Flip 180 degrees and solder shifted onto the right pads, then use magnet wire to connect the remaining two pads.
* Serial boot loader non-functional (uses incompatible UART I/Os).
	* Workaround: Program via JTAG / SWD.
